/* $Id: flexisimpl.h,v 1.5 2002/06/29 09:08:18 chrisf Exp $ */

/*
Copyright (C) 2002 Chris Faherty

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __FLEXISIMPL_H
#define __FLEXISIMPL_H

#include <qpe/inputmethodinterface.h>

class FlexisImpl : public InputMethodInterface {
public:
    FlexisImpl();
    virtual ~FlexisImpl();

#ifndef QT_NO_COMPONENT
    QRESULT queryInterface(const QUuid&, QUnknownInterface**);
    Q_REFCOUNT
#endif

    virtual QWidget *inputMethod(QWidget *parent, Qt::WFlags f);
    virtual void resetState();
    virtual QPixmap *icon();
    virtual QString name();
    virtual void onKeyPress(QObject *receiver, const char *slot);

private:
    FlexisInput *input;
    QPixmap *icn;
    ulong ref;
};

#endif
